/*
 * Class GC_INFO
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_122 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_122 [] = {0xFF01,237,121,0xFFFF};
static const EIF_TYPE_INDEX egt_2_122 [] = {0xFF01,121,0xFFFF};
static const EIF_TYPE_INDEX egt_3_122 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_122 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_122 [] = {0xFF01,121,0xFFFF};
static const EIF_TYPE_INDEX egt_6_122 [] = {0xFF01,121,0xFFFF};
static const EIF_TYPE_INDEX egt_7_122 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_122 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_122 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_122 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_122 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_122 [] = {0xFF01,121,0xFFFF};


static const struct desc_info desc_122[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_122), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_122), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_122), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_122), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_122), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_122), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_122), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_122), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_122), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_122), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_122), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_122), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xF3 /*121*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_122), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1075, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1076, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1077, 4},
	{EIF_NON_GENERIC(0x01AF /*215*/), 1078, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1079, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 1080, 12},
	{EIF_NON_GENERIC(0x012F /*151*/), 1081, 0},
	{EIF_NON_GENERIC(0x019D /*206*/), 1636, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1637, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1638, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1639, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1640, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1661, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1663, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 1664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1679, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1681, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1687, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1688, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1689, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1690, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1691, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 1692, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1693, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1694, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1695, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1696, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1697, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1698, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1699, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1700, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1701, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0185 /*194*/), 1702, 0xFFFFFFFF},
};
void Init122(void)
{
	IDSC(desc_122, 0, 121);
	IDSC(desc_122 + 1, 1, 121);
	IDSC(desc_122 + 32, 313, 121);
	IDSC(desc_122 + 40, 335, 121);
	IDSC(desc_122 + 45, 221, 121);
}


#ifdef __cplusplus
}
#endif
